package com.sunxung.factoring.service.customerinformation;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sunxung.factoring.entity.GridPage;
import com.sunxung.factoring.entity.customerinformation.ElectronicSignaturePersonal;

import java.util.List;

/**
 * <p>
 * --电子签个人信息表 服务类
 * </p>
 *
 * @author liutao
 * @since 2023-05-13
 */
public interface IElectronicSignaturePersonalService extends IService<ElectronicSignaturePersonal> {

    /**
     * 列表接口
     *
     * @param name
     * @param page
     * @param rows
     * @return
     */
    GridPage findByName(String name,Integer status, Integer page, Integer rows);

    /**
     * 修改信息
     * @param electronicSignaturePersonal
     */
    void updateInfo(ElectronicSignaturePersonal electronicSignaturePersonal);

    /**
     * 注册电子签 获取电子签信息
     * @param electronicSignaturePersonal
     * @return
     */
    ElectronicSignaturePersonal getAuthInfo(ElectronicSignaturePersonal electronicSignaturePersonal);

    /**
     * 获取认证信息
     * @param customerId
     * @return
     */
    String getAuthDeatil(String customerId);

    /**
     * 重新生成认证链接
     * @param id
     */
    void flushUrl(Long id);

    /**
     * 删除数据
     * @param id
     */
    void delete(Long id);

    /**
     * c端获取个人列表
     * @param id
     * @return
     */
    List<ElectronicSignaturePersonal> findByIdForC(Long id);

    /**
     * 企业列表查询
     * @param name
     * @param page
     * @param rows
     * @return
     */
    GridPage findByComName(String name,Integer status, Integer page, Integer rows);

    void flush(Long id);

    ElectronicSignaturePersonal getDetail(Long id);

    void urlJob();
}
